const activeLoaderIds = new Set();
export const registerActiveLoader = (loaderId) => {
    activeLoaderIds.add(loaderId);
};
export const unregisterActiveLoader = (loaderId) => {
    activeLoaderIds.delete(loaderId);
};
export const isActiveLoader = (loaderId) => {
    if (!loaderId)
        return false;
    return activeLoaderIds.has(loaderId);
};
